<div *ngIf="invalid">
  <div class="alert alert-danger text-center" role="alert">Invalid Username and password! If you are not a registered user, you can register <a [routerLink]="['/register']">here</a>.</div>
</div>

<form novalidate
      (ngSubmit)="onAuthorize()"
      [formGroup]="loginForm"
      style="margin: 40px 0">

  <div class="form-group">
    <label for="email">Email</label>
    <input type="text"
           class="form-control"
           id="email"
           placeholder="Enter email"
           formControlName="email"
           [ngClass]="{'is-invalid': (loginForm.get('email').touched ||
                                                loginForm.get('email').dirty) &&
                                                !loginForm.get('email').valid}"/>
    <span class="invalid-feedback">
                        <span *ngIf="loginForm.get('email').errors?.required">
                            Please enter the email.
                        </span>
        </span>
  </div>

  <div class="form-group">
    <label for="password">Password</label>
    <input type="password"
           class="form-control"
           id="password"
           placeholder="Password"
           formControlName="password"
           [ngClass]="{'is-invalid': (loginForm.get('password').touched ||
                                                loginForm.get('password').dirty) &&
                                                !loginForm.get('password').valid}"/>
    <span class="invalid-feedback">
                        <span *ngIf="loginForm.get('password').errors?.required">
                            Please enter the password.
                        </span>
        </span>
  </div>

  <button class="btn btn-primary"
          type="submit"
          style="width:80px"
          [title]="loginForm.valid ? 'Save your entered data' : 'Disabled until the form data is valid'"
          [disabled]="!loginForm.valid">
    Login
  </button>
</form>
